bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: adjust test to match code, now that --mmap writes to stde


From: Jim Meyering
Subject: [PATCH] tests: adjust test to match code, now that --mmap writes to stderr
Date: Tue, 03 Jan 2012 22:11:56 +0100

Thanks again to the Nixos/hydra autobuilder, which caught this.
I forgot to adjust the test to account for just-changed --mmap semantics.
Here's the fix:

>From aab59eb87d7fade0ca8a0f444f222284eb28694f Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Tue, 3 Jan 2012 22:10:32 +0100
Subject: [PATCH] tests: adjust test to match code, now that --mmap writes to
 stderr

* tests/ignore-mmap: Separate stdout and stderr; test both.
---
 tests/ignore-mmap |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/tests/ignore-mmap b/tests/ignore-mmap
index a6d30ca..8c40868 100755
--- a/tests/ignore-mmap
+++ b/tests/ignore-mmap
@@ -5,12 +5,16 @@
 echo a > in || framework_failure_
 fail=0

-grep --mmap a in > out 2>&1 || fail=1
+echo grep: the --mmap option has been a no-op since 2010 > exp
+
+grep --mmap a in > out 2> err || fail=1
 compare out in || fail=1
+compare exp err || fail=1

-grep --mmap b in > out 2>&1
+grep --mmap b in > out 2>err
 # Expect no match and no output.
 test $? = 1 || fail=1
 compare /dev/null out || fail=1
+compare exp err || fail=1

 Exit $fail
--
1.7.8.1.391.g2c2ad



reply via email to

[Prev in Thread] Current Thread [Next in Thread]